<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCreateEntityRewardFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCreateEntityRewardFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCreateEntityRewardFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the createentity reward, which can create entities from entity templates.  
 <a href="structiCreateEntityRewardFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCreateEntityRewardFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCreateEntityRewardFactory.png" usemap="#iCreateEntityRewardFactory_map" alt=""/>
  <map id="iCreateEntityRewardFactory_map" name="iCreateEntityRewardFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,171,24"/>
</map>
 </div></div>

<p><a href="structiCreateEntityRewardFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCreateEntityRewardFactory.html#a0e2b694773f23eaac04ff6130cf8bc8a">AddParameter</a> (const char *name, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a parameter for the template.  <a href="#a0e2b694773f23eaac04ff6130cf8bc8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCreateEntityRewardFactory.html#ae08291942926fb6a5473d148dd5c267e">SetEntityTemplateParameter</a> (const char *entity_tpl)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the template that will be used to create a new entity from.  <a href="#ae08291942926fb6a5473d148dd5c267e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCreateEntityRewardFactory.html#ae7a86af1695d1ce775b18c1c5be5b9fa">SetNameParameter</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity that will be created.  <a href="#ae7a86af1695d1ce775b18c1c5be5b9fa"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the createentity reward, which can create entities from entity templates. </p>
<p>You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this reward type is 'cel.rewards.createentity'.</p>
<p>In XML, factories recognize the following attribute on the 'op' node:</p>
<ul>
<li><em>template</em>: the name of the template that will be used to create the entity from. It can be a parameter if starting with '$'.</li>
<li><em>name</em>: optional name for the entity that will be created. It can be a parameter if starting with '$'. Also, the following subnodes are supported:</li>
<li><em>par</em>: a parameter for the template. It needs 'name' and 'value' attributes. The value can be a parameter if starting with '$'. As many par nodes as needed can be used. </li>
</ul>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00286">286</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0e2b694773f23eaac04ff6130cf8bc8a"></a><!-- doxytag: member="iCreateEntityRewardFactory::AddParameter" ref="a0e2b694773f23eaac04ff6130cf8bc8a" args="(const char *name, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCreateEntityRewardFactory.html#a0e2b694773f23eaac04ff6130cf8bc8a">iCreateEntityRewardFactory::AddParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a parameter for the template. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>is the name for the parameter. </td></tr>
    <tr><td class="paramname">value</td><td>is the value for the parameter or a quest manager parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae08291942926fb6a5473d148dd5c267e"></a><!-- doxytag: member="iCreateEntityRewardFactory::SetEntityTemplateParameter" ref="ae08291942926fb6a5473d148dd5c267e" args="(const char *entity_tpl)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCreateEntityRewardFactory.html#ae08291942926fb6a5473d148dd5c267e">iCreateEntityRewardFactory::SetEntityTemplateParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_tpl</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the template that will be used to create a new entity from. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity_tpl</td><td>is the name of the entity template or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae7a86af1695d1ce775b18c1c5be5b9fa"></a><!-- doxytag: member="iCreateEntityRewardFactory::SetNameParameter" ref="ae7a86af1695d1ce775b18c1c5be5b9fa" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCreateEntityRewardFactory.html#ae7a86af1695d1ce775b18c1c5be5b9fa">iCreateEntityRewardFactory::SetNameParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity that will be created. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
